public static interface ConsulEndpointBuilderFactory.ConsulBuilders
| Modifier and Type | Method and Description |
|---|---|
default ConsulEndpointBuilderFactory.ConsulEndpointBuilder |
consul(String path)
Consul (camel-consul)
Integrate with Consul service discovery and configuration store.
|
default ConsulEndpointBuilderFactory.ConsulEndpointBuilder |
consul(String componentName,
String path)
Consul (camel-consul)
Integrate with Consul service discovery and configuration store.
|
default ConsulEndpointBuilderFactory.ConsulEndpointBuilder consul(String path)
consul:apiEndpoint
Path parameter: apiEndpoint (required)
The API endpointpath - apiEndpointdefault ConsulEndpointBuilderFactory.ConsulEndpointBuilder consul(String componentName, String path)
consul:apiEndpoint
Path parameter: apiEndpoint (required)
The API endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - apiEndpointApache Camel